
Foreman - Bug #3946

Non explicit error of Foreman crashes when no domain is setup on the host

01/05/2014 04:00 PM - Romain Vrignaud

Status: Closed   

Priority: Normal   

Assignee:    

Category: Settings   

Target version: 1.5.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

When no domain / fqdn properly setup, Foreman crashes with

an non explicit error:

bundle exec rake db:seed --trace

(in /home/fitzdsl/work/foreman)

Invoke db:seed (first_time)

Execute db:seed

Invoke db:abort_if_pending_migrations (first_time)

Invoke environment (first_time)

Execute environment

[deprecated] I18n.enforce_available_locales will default to true in the future. If you really want to skip validation of your locale

you can set I18n.enforce_available_locales = false to avoid this message.

rake aborted!

Validation failed: Value must be a valid URI

/home/fitzdsl/work/foreman/vendor/ruby/1.9.1/gems/activerecord-3.2.15/lib/active_record/validations.rb:56:in `save!'

/home/fitzdsl/work/foreman/vendor/ruby/1.9.1/gems/activerecord-3.2.15/lib/active_record/attribute_methods/dirty.rb:33:in `save!'

/home/fitzdsl/work/foreman/vendor/ruby/1.9.1/gems/activerecord-3.2.15/lib/active_record/transactions.rb:264:in `block in save!'

/home/fitzdsl/work/foreman/vendor/ruby/1.9.1/gems/activerecord-3.2.15/lib/active_record/transactions.rb:313:in `block in

with_transaction_returning_status'

/home/fitzdsl/work/foreman/vendor/ruby/1.9.1/gems/activerecord-3.2.15/lib/active_record/connection_adapters/abstract/databas

e_statements.rb:192:in `transaction'

/home/fitzdsl/work/foreman/vendor/ruby/1.9.1/gems/activerecord-3.2.15/lib/active_record/transactions.rb:208:in `transaction'

/home/fitzdsl/work/foreman/vendor/ruby/1.9.1/gems/activerecord-3.2.15/lib/active_record/transactions.rb:311:in

`with_transaction_returning_status'

/home/fitzdsl/work/foreman/vendor/ruby/1.9.1/gems/activerecord-3.2.15/lib/active_record/transactions.rb:264:in `save!'

/home/fitzdsl/work/foreman/vendor/ruby/1.9.1/gems/activerecord-3.2.15/lib/active_record/validations.rb:41:in `create!'

/home/fitzdsl/work/foreman/app/models/setting.rb:162:in `create!'

/home/fitzdsl/work/foreman/app/models/setting/general.rb:21:in `block (2 levels) in load_defaults'

/home/fitzdsl/work/foreman/app/models/setting/general.rb:12:in `each'

/home/fitzdsl/work/foreman/app/models/setting/general.rb:12:in `block in load_defaults'

/home/fitzdsl/work/foreman/vendor/ruby/1.9.1/gems/activerecord-3.2.15/lib/active_record/connection_adapters/abstract/databas

e_statements.rb:192:in `transaction'

/home/fitzdsl/work/foreman/vendor/ruby/1.9.1/gems/activerecord-3.2.15/lib/active_record/transactions.rb:208:in `transaction'

/home/fitzdsl/work/foreman/app/models/setting/general.rb:9:in `load_defaults'

/home/fitzdsl/work/foreman/config/initializers/foreman.rb:18:in `each'

/home/fitzdsl/work/foreman/config/initializers/foreman.rb:18:in `<top (required)>'

/home/fitzdsl/work/foreman/vendor/ruby/1.9.1/gems/activesupport-3.2.15/lib/active_support/dependencies.rb:245:in `load'

/home/fitzdsl/work/foreman/vendor/ruby/1.9.1/gems/activesupport-3.2.15/lib/active_support/dependencies.rb:245:in `block in

load'

/home/fitzdsl/work/foreman/vendor/ruby/1.9.1/gems/activesupport-3.2.15/lib/active_support/dependencies.rb:236:in

`load_dependency'

/home/fitzdsl/work/foreman/vendor/ruby/1.9.1/gems/activesupport-3.2.15/lib/active_support/dependencies.rb:245:in `load'

/home/fitzdsl/work/foreman/vendor/ruby/1.9.1/gems/railties-3.2.15/lib/rails/engine.rb:593:in `block (2 levels) in <class:Engine>'

/home/fitzdsl/work/foreman/vendor/ruby/1.9.1/gems/railties-3.2.15/lib/rails/engine.rb:592:in `each'

/home/fitzdsl/work/foreman/vendor/ruby/1.9.1/gems/railties-3.2.15/lib/rails/engine.rb:592:in `block in <class:Engine>'

05/11/2024 1/3



/home/fitzdsl/work/foreman/vendor/ruby/1.9.1/gems/railties-3.2.15/lib/rails/initializable.rb:30:in `instance_exec'

/home/fitzdsl/work/foreman/vendor/ruby/1.9.1/gems/railties-3.2.15/lib/rails/initializable.rb:30:in `run'

/home/fitzdsl/work/foreman/vendor/ruby/1.9.1/gems/railties-3.2.15/lib/rails/initializable.rb:55:in `block in run_initializers'

/home/fitzdsl/work/foreman/vendor/ruby/1.9.1/gems/railties-3.2.15/lib/rails/initializable.rb:54:in `each'

/home/fitzdsl/work/foreman/vendor/ruby/1.9.1/gems/railties-3.2.15/lib/rails/initializable.rb:54:in `run_initializers'

/home/fitzdsl/work/foreman/vendor/ruby/1.9.1/gems/railties-3.2.15/lib/rails/application.rb:136:in `initialize!'

/home/fitzdsl/work/foreman/vendor/ruby/1.9.1/gems/railties-3.2.15/lib/rails/railtie/configurable.rb:30:in `method_missing'

/home/fitzdsl/work/foreman/config/environment.rb:5:in `<top (required)>'

/home/fitzdsl/work/foreman/vendor/ruby/1.9.1/gems/activesupport-3.2.15/lib/active_support/dependencies.rb:251:in `require'

/home/fitzdsl/work/foreman/vendor/ruby/1.9.1/gems/activesupport-3.2.15/lib/active_support/dependencies.rb:251:in `block in

require'

/home/fitzdsl/work/foreman/vendor/ruby/1.9.1/gems/activesupport-3.2.15/lib/active_support/dependencies.rb:236:in

`load_dependency'

/home/fitzdsl/work/foreman/vendor/ruby/1.9.1/gems/activesupport-3.2.15/lib/active_support/dependencies.rb:251:in `require'

/home/fitzdsl/work/foreman/vendor/ruby/1.9.1/gems/railties-3.2.15/lib/rails/application.rb:103:in `require_environment!'

/home/fitzdsl/work/foreman/vendor/ruby/1.9.1/gems/railties-3.2.15/lib/rails/application.rb:305:in `block (2 levels) in

initialize_tasks'

/home/fitzdsl/work/foreman/vendor/ruby/1.9.1/gems/rake-10.1.0/lib/rake/task.rb:236:in `call'

/home/fitzdsl/work/foreman/vendor/ruby/1.9.1/gems/rake-10.1.0/lib/rake/task.rb:236:in `block in execute'

/home/fitzdsl/work/foreman/vendor/ruby/1.9.1/gems/rake-10.1.0/lib/rake/task.rb:231:in `each'

/home/fitzdsl/work/foreman/vendor/ruby/1.9.1/gems/rake-10.1.0/lib/rake/task.rb:231:in `execute'

/home/fitzdsl/work/foreman/vendor/ruby/1.9.1/gems/rake-10.1.0/lib/rake/task.rb:175:in `block in invoke_with_call_chain'

/home/fitzdsl/.rbenv/versions/1.9.3-p484/lib/ruby/1.9.1/monitor.rb:211:in `mon_synchronize'

/home/fitzdsl/work/foreman/vendor/ruby/1.9.1/gems/rake-10.1.0/lib/rake/task.rb:168:in `invoke_with_call_chain'

/home/fitzdsl/work/foreman/vendor/ruby/1.9.1/gems/rake-10.1.0/lib/rake/task.rb:197:in `block in invoke_prerequisites'

/home/fitzdsl/work/foreman/vendor/ruby/1.9.1/gems/rake-10.1.0/lib/rake/task.rb:195:in `each'

/home/fitzdsl/work/foreman/vendor/ruby/1.9.1/gems/rake-10.1.0/lib/rake/task.rb:195:in `invoke_prerequisites'

/home/fitzdsl/work/foreman/vendor/ruby/1.9.1/gems/rake-10.1.0/lib/rake/task.rb:174:in `block in invoke_with_call_chain'

/home/fitzdsl/.rbenv/versions/1.9.3-p484/lib/ruby/1.9.1/monitor.rb:211:in `mon_synchronize'

/home/fitzdsl/work/foreman/vendor/ruby/1.9.1/gems/rake-10.1.0/lib/rake/task.rb:168:in `invoke_with_call_chain'

/home/fitzdsl/work/foreman/vendor/ruby/1.9.1/gems/rake-10.1.0/lib/rake/task.rb:161:in `invoke'

/home/fitzdsl/work/foreman/vendor/ruby/1.9.1/gems/activerecord-3.2.15/lib/active_record/railties/databases.rake:346:in `block (2

levels) in <top (required)>'

/home/fitzdsl/work/foreman/vendor/ruby/1.9.1/gems/rake-10.1.0/lib/rake/task.rb:236:in `call'

/home/fitzdsl/work/foreman/vendor/ruby/1.9.1/gems/rake-10.1.0/lib/rake/task.rb:236:in `block in execute'

/home/fitzdsl/work/foreman/vendor/ruby/1.9.1/gems/rake-10.1.0/lib/rake/task.rb:231:in `each'

/home/fitzdsl/work/foreman/vendor/ruby/1.9.1/gems/rake-10.1.0/lib/rake/task.rb:231:in `execute'

/home/fitzdsl/work/foreman/vendor/ruby/1.9.1/gems/rake-10.1.0/lib/rake/task.rb:175:in `block in invoke_with_call_chain'

/home/fitzdsl/.rbenv/versions/1.9.3-p484/lib/ruby/1.9.1/monitor.rb:211:in `mon_synchronize'

/home/fitzdsl/work/foreman/vendor/ruby/1.9.1/gems/rake-10.1.0/lib/rake/task.rb:168:in `invoke_with_call_chain'

/home/fitzdsl/work/foreman/vendor/ruby/1.9.1/gems/rake-10.1.0/lib/rake/task.rb:161:in `invoke'

/home/fitzdsl/work/foreman/vendor/ruby/1.9.1/gems/rake-10.1.0/lib/rake/application.rb:149:in `invoke_task'

/home/fitzdsl/work/foreman/vendor/ruby/1.9.1/gems/rake-10.1.0/lib/rake/application.rb:106:in `block (2 levels) in top_level'

/home/fitzdsl/work/foreman/vendor/ruby/1.9.1/gems/rake-10.1.0/lib/rake/application.rb:106:in `each'

/home/fitzdsl/work/foreman/vendor/ruby/1.9.1/gems/rake-10.1.0/lib/rake/application.rb:106:in `block in top_level'

/home/fitzdsl/work/foreman/vendor/ruby/1.9.1/gems/rake-10.1.0/lib/rake/application.rb:115:in `run_with_threads'

/home/fitzdsl/work/foreman/vendor/ruby/1.9.1/gems/rake-10.1.0/lib/rake/application.rb:100:in `top_level'

/home/fitzdsl/work/foreman/vendor/ruby/1.9.1/gems/rake-10.1.0/lib/rake/application.rb:78:in `block in run'

/home/fitzdsl/work/foreman/vendor/ruby/1.9.1/gems/rake-10.1.0/lib/rake/application.rb:165:in `standard_exception_handling'

/home/fitzdsl/work/foreman/vendor/ruby/1.9.1/gems/rake-10.1.0/lib/rake/application.rb:75:in `run'

/home/fitzdsl/work/foreman/vendor/ruby/1.9.1/gems/rake-10.1.0/bin/rake:33:in `<top (required)>'

/home/fitzdsl/work/foreman/vendor/ruby/1.9.1/bin/rake:23:in `load'

/home/fitzdsl/work/foreman/vendor/ruby/1.9.1/bin/rake:23:in `<main>'

Tasks: TOP => db:abort_if_pending_migrations => environment

Associated revisions

Revision 7bf51a3d - 04/01/2014 08:48 AM - Maria Nita

fixes #3946 Set host URLs from local settings file, if no Facter configuration exists. Add default values for settings example.

History

#1 - 03/23/2014 09:15 PM - Maria Nita

Patch submitted https://github.com/theforeman/foreman/pull/1316

#2 - 03/24/2014 08:12 AM - Dominic Cleal
https://github.com/theforeman/foreman/pull/1316


- Category set to Settings

- Status changed from New to Ready For Testing

- Target version set to 1.9.0

#3 - 03/26/2014 12:58 PM - Anonymous

- Target version changed from 1.9.0 to 1.8.4

#4 - 04/01/2014 08:48 AM - Dominic Cleal

- translation missing: en.field_release set to 4

#5 - 04/01/2014 09:31 AM - Maria Nita

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset 7bf51a3d28af88bb5b24256439ba281ff30dfa87.
